# Class Balls

java.lang.Object
org.jmol.shape.Shape
org.jmol.shape.AtomShape
org.jmol.shape.Balls

public class Balls extends AtomShape

## Field Summary

### Fields inherited from class AtomShape

`bsSizeDefault, colixes, isActive, isSet, mad, mads, monomerCount, paletteIDs`

### Fields inherited from class Shape

`bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

## Constructor Summary

Constructors
Constructor
Description
`Balls()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setAtomClickability()`
`void`
`setProperty(String propertyName, Object value, BS bs)`
`protected void`
`setSize(int size, BS bsSelected)`
`protected void`
`setSizeRD(RadiusData rd, BS bsSelected)`

### Methods inherited from class AtomShape

`checkColixLength, getShapeState, getSize, initModelSet, initShape, setColixAndPalette, setPropAS, setSize2, setSizeRD2`

### Methods inherited from class Shape

`appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setProperties, setPropS, setShapeSizeRD, wasClicked`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Balls

public Balls()

## Method Details

### setSize

protected void setSize(int size, BS bsSelected)

Overrides:
  `setSize` in class `AtomShape`
Parameters:
  `size` -
  `bsSelected` -

### setSizeRD

protected void setSizeRD(RadiusData rd, BS bsSelected)

Overrides:
  `setSizeRD` in class `AtomShape`
Parameters:
  `rd` -
  `bsSelected` -

### setProperty

public void setProperty(String propertyName, Object value, BS bs)

Specified by:
  `setProperty` in class `Shape`

### setAtomClickability

public void setAtomClickability()

Overrides:
  `setAtomClickability` in class `AtomShape`